Crazy Eddies GUI System: CEGUI::MinibidiVisualMapping Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CEGUI::MinibidiVisualMapping Class Reference

minibidi based implementation of BiDiVisualMapping. More...

Inheritance diagram for CEGUI::MinibidiVisualMapping:
[legend]
Collaboration diagram for CEGUI::MinibidiVisualMapping:
[legend]

List of all members.

## Public Member Functions
BidiCharType | getBidiCharType (const utf32 char_to_check) const
| Gets the BiDi char type of a char.
bool | reorderFromLogicalToVisual (const String &logical, String &visual, StrIndexList &l2v, StrIndexList &v2l) const
| Reorder a string from a logical (type order) bidi string to a visual (the way it displayed) string.

## Detailed Description

minibidi based implementation of BiDiVisualMapping.

## Member Function Documentation

BidiCharType CEGUI::MinibidiVisualMapping::getBidiCharType | ( | const utf32 | char_to_check | ) | const`[virtual]`

Gets the BiDi char type of a char.

Parameters:

  charToCheck | The utf32 character code that will be checked.

Returns:
  One of the BidiCharType enumerated values indicating the BiDi char type.

Implements CEGUI::BiDiVisualMapping.

bool CEGUI::MinibidiVisualMapping::reorderFromLogicalToVisual | ( | const String & | logical,
|  | String & | visual,
|  | StrIndexList & | l2v,
|  | StrIndexList & | v2l
| ) |  | const`[virtual]`

Reorder a string from a logical (type order) bidi string to a visual (the way it displayed) string.

Parameters:

  logical | String object to be reordered.
  visual | String object containing the result reordered string.
  l2vMapping | List of integers that map the pos of each char from logical string in the visual string.
  v2lMapping | List of integers that map the pos of each char from visual string in the logical string.

Returns:
  - true if successful.
  - false if the operation failed.

Implements CEGUI::BiDiVisualMapping.